> ## Documentation Index
> Fetch the complete documentation index at: https://developer.trychart.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Disconnect

> Disconnect one or more `access_token`s from your application.

Deletion is based on both the taxpayer and provider of the `access_token` used to call this endpoint,
and will also delete all tokens with the same taxpayer/provider pair. Other tokens for the same taxpayer, but connected to a different provider, require a separate call.

We require applications to implement the Disconnect endpoint for billing and security purposes.


## OpenAPI

````yaml POST /disconnect
openapi: 3.0.1
info:
  title: Chart API
  description: >-
    Chart Tax API offers real-time collection of verified federal and state tax
    records.
  version: 1.0.0
servers:
  - url: https://api.trychart.com
security:
  - bearerAuth: []
paths:
  /disconnect:
    post:
      description: Disconnect one or more `access_token`s from your application.
      parameters:
        - $ref: '#/components/parameters/ChartAPIVersion'
      responses:
        '200':
          description: Disconnect Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Disconnect'
components:
  parameters:
    ChartAPIVersion:
      name: Chart-API-Version
      in: header
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2024-01-01.
      schema:
        type: string
        default: '2024-01-01'
  schemas:
    Disconnect:
      type: object
      properties:
        status:
          type: string
          example: success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your access_token returned from the /auth/token endpoint.

````